OpenTTD Source: Data Fields

OpenTTD Source 12.0-beta1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - l -

- l : ICUParagraphLayout::ICULine , UnitsLong
- label : CargoSpec , GRFFile , RailtypeInfo , RoadTypeInfo
- labels : ScriptConfigItem
- lag_test : ServerNetworkGameSocketHandler
- land_generator : GameCreationSettings
- landinfo_data : LandInfoWindow
- landscape : GameCreationSettings , LoggedChange , NetworkServerGameInfo
- langid : GRFText
- LangString() : LangString
- langtab_num : LoadedLanguagePack
- langtab_start : LoadedLanguagePack
- language : LanguageStrings
- language_map : GRFFile
- LanguageFileWriter() : LanguageFileWriter
- LanguageScanner() : LanguageScanner
- large : FreeTypeSettings
- large_turn : AccelerationSlowdownParams
- larger_town : Town
- larger_towns : EconomySettings
- last : CommandQueue
- Last() : SpecializedVehicle< T, Type > , Vehicle
- last_activity : ClientNetworkCoordinatorSocketHandler
- last_age : GoodsEntry
- last_allocated_memory : ScriptInstance
- last_array_index : SaveLoadParams
- last_attempt : TCPConnecter
- last_build_coordinate : CompanyProperties
- last_cargo_accepted_at : Industry
- last_clicked : GameSettingsWindow
- last_clicked_widget : BuildDocksToolbarWindow
- last_cmd : ScriptStorage
- last_command_res : ScriptStorage
- last_compression : LinkGraph
- last_cost : ScriptStorage
- last_direction : MutableSpriteCache
- last_error : ScriptStorage
- last_filtering : BuildObjectWindow , BuildRailStationWindow , NetworkContentListWindow , NewGRFWindow
- last_foundation_child : ViewportDrawer
- last_frame : NetworkGameSocketHandler
- last_frame_server : NetworkGameSocketHandler
- last_group : IniLoadFile
- last_item : IniGroup
- last_joined : NetworkGameWindow , NetworkSettings
- last_loading_station : Vehicle
- last_month_pct_transported : Industry
- last_month_production : Industry
- last_month_transported : Industry
- last_name : ScanProgressWindow
- last_newgrf_count : GUISettings
- last_p1 : ScriptStorage
- last_p2 : ScriptStorage
- last_packet : NetworkGameSocketHandler
- last_prod_year : Industry
- last_restricted_update : LinkGraph::BaseEdge
- last_sorting : BuildBridgeWindow , BuildObjectWindow , BuildRailStationWindow , NetworkContentListWindow , NewGRFWindow
- last_speed : GoodsEntry , GroundVehicleCache
- last_sprite_pal : OpenGLBackend
- last_started_action : BuildRoadToolbarWindow
- last_station_visited : Vehicle
- last_tile : ScriptStorage
- last_token : ServerNetworkGameSocketHandler
- last_token_frame : ServerNetworkGameSocketHandler
- last_unrestricted_update : LinkGraph::BaseEdge
- last_update : LinkGraph::BaseNode
- last_user_action : BuildRailToolbarWindow , ScenarioEditorLandscapeGenerationWindow , TerraformToolbarWindow
- last_value : ResolverObject
- last_vscroll_pos : AIDebugWindow
- lastActivity : ClientNetworkContentSocketHandler
- LastCompression() : LinkGraph , LinkGraphJob
- LastRestrictedUpdate() : LinkGraph::EdgeWrapper< Tedge >
- LastTypeId() : DumpTarget
- LastUnrestrictedUpdate() : LinkGraph::EdgeWrapper< Tedge >
- LastUpdate() : LinkGraph::EdgeWrapper< Tedge > , LinkGraph::NodeWrapper< Tnode, Tedge >
- lateness_counter : BaseConsist
- layout : Airport , AirportFTAClass , AirportScopeResolver , Layouter::LineCacheItem , SpotData , Town
- layout_cache : StoryBookWindow
- Layouter() : Layouter
- layouts : IndustrySpec , StationSpec
- lc : GenWorldInfo
- Leave() : RoadStop::Entry , RoadStop
- LeaveStation() : Vehicle
- left : Blitter::BlitterParams , Kdtree< T, TxyFunc, CoordT, DistT >::node , NWidgetPartPaddings , ParentSpriteToDraw , Viewport , Window
- left_align : CargoesField
- LEFT_OFFSET : NewGRFInspectWindow
- legend : BuildIndustryWindow , CargoesField , LegendAndColour
- legend_width : PaymentRatesGraphWindow , SmallMapWindow
- Length() : CBinaryHeapT< T > , ClientNetworkContentSocketHandler
- length : CompanyManagerFaceBitsInfo , ExpensesList
- Length() : FixedSizeArray< T, C >
- length : RoadStop::Entry , SaveLoad , SaveLoadCompat
- Length() : SettingEntry , SettingsContainer , SettingsPage , SmallArray< T, B, N >
- level : BaseSettingEntry
- lf : SaveLoadParams
- life_type : IndustrySpec
- lifelength : EngineInfo
- lighthouse : ExtraPaletteValues
- limit : Packet
- line : LangString
- line_count : NetworkClientListWindow
- line_height : AboutWindow , AIConfigWindow , AIListWindow , AISettingsWindow , BuildObjectWindow , BuildRailStationWindow , CompanyLeagueWindow , IConsoleWindow , NetworkClientListWindow , NewGRFParametersWindow , PaymentRatesGraphWindow
- line_reverse_mode : DifficultySettings
- linecache : Layouter
- lines : LanguageStrings , NWidgetPartTextLines , TextfileWindow
- LINK_COLOURS : LinkGraphOverlay
- link_graph : GoodsEntry , LinkGraphJob
- link_terraform_toolbar : GUISettings
- linkgraph : GameSettings
- LinkGraph() : LinkGraph
- LinkGraphIndex() : LinkGraphJob
- LinkGraphJob() : LinkGraphJob
- LinkGraphOverlay() : LinkGraphOverlay
- LinkGraphSchedule() : LinkGraphSchedule
- LinkRefresher() : LinkRefresher
- list : DropdownWindow , RefitWindow , Vehicle
- list_group_names : IniLoadFile
- list_iter : MultiMapIterator< Tmap_iter, Tlist_iter, Tkey, Tvalue, Tcompare >
- list_pos : NetworkContentListWindow , NetworkGameWindow
- list_valid : MultiMapIterator< Tmap_iter, Tlist_iter, Tkey, Tvalue, Tcompare >
- ListColumns : VehicleGroupWindow
- Listen() : NetworkAddress , NetworkUDPSocketHandler , TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >
- listview_mode : BuildVehicleWindow
- liveries : GUISettings
- livery : Group
- Load() : AI , AIPLChunkHandler , ANITChunkHandler , BKORChunkHandler , CAPAChunkHandler , CAPRChunkHandler , CAPYChunkHandler , CHKPChunkHandler , CHTSChunkHandler , ChunkHandler , CITYChunkHandler , CMDLChunkHandler , CMPUChunkHandler , DATEChunkHandler , DefaultSaveLoadHandler< TImpl, TObject > , DEPTChunkHandler , ECMYChunkHandler , EIDSChunkHandler , ENGNChunkHandler , ENGSChunkHandler , ERNWChunkHandler , Game , GLOGChunkHandler , GOALChunkHandler , GRPSChunkHandler , GSDTChunkHandler , GSTRChunkHandler , HotkeyList , IBLDChunkHandler , INDYChunkHandler , ITBLChunkHandler , LGRJChunkHandler , LGRPChunkHandler , LGRSChunkHandler , M3HIChunkHandler , M3LOChunkHandler , MAP2ChunkHandler , MAP5ChunkHandler , MAP7ChunkHandler , MAP8ChunkHandler , MAPEChunkHandler , MAPHChunkHandler , MAPOChunkHandler , MAPSChunkHandler , MAPTChunkHandler , NAMEChunkHandler , NewGRFMappingChunkHandler , NGRFChunkHandler , OBJSChunkHandler , OPTSChunkHandler , ORDLChunkHandler , ORDRChunkHandler , PATSChunkHandler , PLYRChunkHandler , PRICChunkHandler , PSACChunkHandler , RAILChunkHandler , ROADChunkHandler , SaveLoadHandler , ScriptInstance , SIGNChunkHandler , SlSkipHandler , StationCargoList , STNNChunkHandler , STNSChunkHandler , STPAChunkHandler , STPEChunkHandler , SUBSChunkHandler , VEHSChunkHandler , VIEWChunkHandler
- load_place : CargoLoad
- load_unload_ticks : Vehicle
- LoadCheck() : ChunkHandler , DATEChunkHandler , DefaultSaveLoadHandler< TImpl, TObject > , GLOGChunkHandler , MAPSChunkHandler , NGRFChunkHandler , PATSChunkHandler , PLYRChunkHandler , SaveLoadHandler , SlSkipHandler
- LoadCompatibilityScripts() : ScriptInstance
- LoadDummyScript() : AIInstance , GameInstance , ScriptInstance
- loaded : RealSpriteGroup
- loaded_at_xy : CargoPacket
- LoadedAtXY() : CargoPacket
- LoadEmpty() : ScriptInstance
- LoadFile() : DLSFile , MidiFile , Squirrel
- LoadFilter() : LoadFilter
- LoadFromConfig() : WindowDesc
- LoadFromDisk() : IniLoadFile
- loading : RealSpriteGroup
- loading_indicators : GUISettings
- LoadMpsData() : MidiFile
- LoadObjects() : ScriptInstance
- LoadOldVehicle : Vehicle
- LoadScript() : Squirrel
- LoadSprite() : SpriteLoader , SpriteLoaderGrf
- LoadTextfile() : TextfileWindow
- local_addr : ClientNetworkStunSocketHandler
- local_id : GRFFilePropsBase< Tcnt >
- local_palette : VideoDriver_SDL_Base
- locale : GameSettings
- localidx : StationSpecList
- location : Industry , Object
- location_of_HQ : CompanyProperties
- lock_offset : NetworkGameWindow
- LockVideoBuffer() : VideoDriver , VideoDriver_Cocoa , VideoDriver_SDL_Base , VideoDriver_Win32Base
- log_data : ScriptStorage
- LogCompiler() : CrashLog
- LogConfiguration() : CrashLog
- LogError() : CrashLog , CrashLogOSX , CrashLogUnix , CrashLogWindows
- logfont : Win32FontCache
- LogGamelog() : CrashLog
- LogLibraries() : CrashLog
- LogModules() : CrashLog , CrashLogWindows
- LogOpenTTDVersion() : CrashLog
- LogOSVersion() : CrashLog , CrashLogOSX , CrashLogUnix , CrashLogWindows
- LogRecentNews() : CrashLog
- LogRegisters() : CrashLog , CrashLogWindows
- LogStacktrace() : CrashLog , CrashLogOSX , CrashLogUnix , CrashLogWindows
- longname : OptionData
- lookup : LRUCache< Tkey, Tdata >
- LookupColourInPalette() : Blitter_32bppAnim , Blitter_32bppBase
- Loop() : AyStar
- loop : MusicSongInfo
- LoopProc : NetworkAddress
- loops_per_tick : AyStar
- lost_vehicle_warn : GUISettings
- LowerWidget() : Window
- lowest : ValuesInterval
- lowest_randbit : RandomizedSpriteGroup
- lowest_value : SnowLine
- LRUCache() : LRUCache< Tkey, Tdata >
- lzma : LZMALoadFilter , LZMASaveFilter
- LZMALoadFilter() : LZMALoadFilter
- LZMASaveFilter() : LZMASaveFilter
- LZOLoadFilter() : LZOLoadFilter
- LZOSaveFilter() : LZOSaveFilter